﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;

namespace Eco.Mods.Jagganot.CheesTableAndPrepWork
{
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class SmeltWashedIronRecipe : Recipe
	{
		public SmeltWashedIronRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<IronIngotItem>(1f),
				new CraftingElement<SlagItem>(typeof(SmeltingSkill), 2f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<WashedIronOreItem>(0.25f)
			};
			base.Initialize(Localizer.DoStr("Smelt Washed Iron"), typeof(SmeltWashedIronRecipe));
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(SmeltWashedIronRecipe), UILinkExtensions.UILink(this), 0.5f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent)
			});
			CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);
		}
	}
}
