﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;

namespace Eco.Mods.Jagganot.CheesTableAndPrepWork
{
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class WashedCopperIngotRecipe : Recipe
	{
		public WashedCopperIngotRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<CopperIngotItem>(1f),
				new CraftingElement<SlagItem>(typeof(SmeltingSkill), 2f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<WashedCopperOreItem>(1f)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(WashedCopperIngotRecipe), UILinkExtensions.UILink(Item.Get<CopperIngotItem>()), 4f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Copper Ingot"), typeof(WashedCopperIngotRecipe));
			CraftingComponent.AddRecipe(typeof(BloomeryObject), this);
		}
	}
}
