﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;

namespace Eco.Mods.Jagganot.CheesTableAndPrepWork
{
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class WashedCopperOreRecipe : Recipe
	{
		public WashedCopperOreRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<WashedCopperOreItem>(1f),
				new CraftingElement<TailingsItem>(typeof(SmeltingSkill), 2f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<CopperOreItem>(typeof(SmeltingSkill), 20f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(WashedCopperOreRecipe), UILinkExtensions.UILink(Item.Get<WashedCopperOreItem>()), 2f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Washed Copper Ore"), typeof(WashedCopperOreRecipe));
			CraftingComponent.AddRecipe(typeof(OreWasherObject), this);
		}
	}
}
