﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;

namespace Eco.Mods.Jagganot.CheesTableAndPrepWork
{
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class WashedGoldOreRecipe : Recipe
	{
		public WashedGoldOreRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<WashedGoldOreItem>(1f),
				new CraftingElement<TailingsItem>(typeof(SmeltingSkill), 2f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<GoldOreItem>(typeof(SmeltingSkill), 20f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(WashedGoldOreRecipe), UILinkExtensions.UILink(Item.Get<WashedGoldOreItem>()), 2f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Washed Gold Ore"), typeof(WashedGoldOreRecipe));
			CraftingComponent.AddRecipe(typeof(OreWasherObject), this);
		}
	}
}
