﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Shared.Localization;

namespace Eco.Mods.TechTree
{
	[RequiresSkill(typeof(AdvancedSmeltingSkill), 7)]
	public class CopperFragmentsRecipe : Recipe
	{
		public CopperFragmentsRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<CopperFragmentsItem>(10f),
				new CraftingElement<SlagItem>(4f)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<TailingsItem>(10f)
			};
			this.ExperienceOnCraft = 2f;
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(CopperFragmentsRecipe), UILinkExtensions.UILink(Item.Get<CopperFragmentsItem>()), 25f, typeof(AdvancedSmeltingSkill), new Type[]
			{
				typeof(AdvancedSmeltingFocusedSpeedTalent),
				typeof(AdvancedSmeltingParallelSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Copper Fragments"), typeof(CopperFragmentsRecipe));
			CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);
		}
	}
}
