﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Shared.Localization;

namespace Eco.Mods.TechTree
{
	[RequiresSkill(typeof(AdvancedSmeltingSkill), 7)]
	public class CopperFragmentsToCopperRecipe : Recipe
	{
		public CopperFragmentsToCopperRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<CopperIngotItem>(1f)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<CopperFragmentsItem>(100f)
			};
			this.ExperienceOnCraft = 2f;
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(CopperFragmentsToCopperRecipe), UILinkExtensions.UILink(Item.Get<CopperIngotItem>()), 25f, typeof(AdvancedSmeltingSkill), new Type[]
			{
				typeof(AdvancedSmeltingFocusedSpeedTalent),
				typeof(AdvancedSmeltingParallelSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Copper Fragments To Copper"), typeof(CopperFragmentsRecipe));
			CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);
		}
	}
}
