﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Shared.Localization;

namespace Eco.Mods.TechTree
{
	[RequiresSkill(typeof(AdvancedSmeltingSkill), 7)]
	public class IronFragmentsToIronRecipe : Recipe
	{
		public IronFragmentsToIronRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<IronIngotItem>(1f)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<IronFragmentsItem>(100f)
			};
			this.ExperienceOnCraft = 2f;
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(IronFragmentsToIronRecipe), UILinkExtensions.UILink(Item.Get<IronIngotItem>()), 25f, typeof(AdvancedSmeltingSkill), new Type[]
			{
				typeof(AdvancedSmeltingFocusedSpeedTalent),
				typeof(AdvancedSmeltingParallelSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Iron Fragments To Iron"), typeof(IronFragmentsRecipe));
			CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);
		}
	}
}
