﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Shared.Localization;

namespace Eco.Mods.TechTree
{
	[RequiresSkill(typeof(AdvancedSmeltingSkill), 0)]
	public class LogsCharcoalRecipe : Recipe
	{
		public LogsCharcoalRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<CharcoalItem>(1f)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<LogItem>(typeof(AdvancedSmeltingSkill), 45f, AdvancedSmeltingSkill.MultiplicativeStrategy, null)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(LogsCharcoalRecipe), UILinkExtensions.UILink(Item.Get<CharcoalItem>()), 1f, typeof(AdvancedSmeltingSkill), new Type[]
			{
				typeof(AdvancedSmeltingFocusedSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Charcoal"), typeof(LogsCharcoalRecipe));
			CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);
		}
	}
}
