﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Components.Auth;
using Eco.Gameplay.Items;
using Eco.Gameplay.Objects;
using Eco.Shared.Localization;
using Eco.Shared.Serialization;

namespace Eco.Mods.TechTree
{
	[Serialized]
	[RequireComponent(typeof(LinkComponent), null)]
	[RequireComponent(typeof(CraftingComponent), null)]
	[RequireComponent(typeof(PropertyAuthComponent), null)]
	[RequireComponent(typeof(SolidGroundComponent), null)]
	public class OreWasherObject : WorldObject, IRepresentsItem
	{
		public override LocString DisplayName
		{
			get
			{
				return Localizer.DoStr("Ore Washer");
			}
		}

		public virtual Type RepresentedItemType
		{
			get
			{
				return typeof(OreWasherItem);
			}
		}

		protected override void Initialize()
		{
		}

		public override void Destroy()
		{
			base.Destroy();
		}
	}
}
