﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Shared.Localization;

namespace Eco.Mods.TechTree
{
	[RequiresSkill(typeof(CementSkill), 0)]
	public class SlagConcreteRecipe : Recipe
	{
		public SlagConcreteRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<ConcreteItem>(1f)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<StoneItem>(typeof(CementSkill), 30f, CementSkill.MultiplicativeStrategy, null),
				new CraftingElement<SlagItem>(typeof(CementSkill), 10f, CementSkill.MultiplicativeStrategy, null)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(SlagConcreteRecipe), UILinkExtensions.UILink(Item.Get<ConcreteItem>()), 2f, typeof(CementSkill), new Type[]
			{
				typeof(CementFocusedSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Concrete"), typeof(SlagConcreteRecipe));
			CraftingComponent.AddRecipe(typeof(CementKilnObject), this);
		}
	}
}
